FUNCTION::GET_CYCLES(3stap)

NAME
function::get_cycles - Processor cycle count

SYNOPSIS

    get_cycles:long()

ARGUMENTS

None

DESCRIPTION

This function returns the processor cycle counter value if available, else it returns zero. The cycle counter is free running and unsynchronized on each processor. Thus, the order of events cannot determined by comparing the results of the get_cycles function on different processors.

SEE ALSO
tapset::timestamp(3stap)